# Reference

<!-- DO NOT EDIT: This document was generated by Puppet Strings -->

## Table of Contents

### Classes

* [`bash`](#bash): Install and configure bash
* [`bash::params`](#bashparams): Default parameter values

## Classes

### <a name="bash"></a>`bash`

Install and configure bash

#### Examples

##### Basic usage

```puppet
include bash
```

#### Parameters

The following parameters are available in the `bash` class:

* [`bashpackage`](#bashpackage)
* [`bashcompletionpackage`](#bashcompletionpackage)
* [`bashpath`](#bashpath)
* [`root_home`](#root_home)
* [`ensure`](#ensure)

##### <a name="bashpackage"></a>`bashpackage`

Data type: `Optional[String[1]]`

The name of the package to be installed

Default value: `$bash::params::bashpackage`

##### <a name="bashcompletionpackage"></a>`bashcompletionpackage`

Data type: `Optional[String[1]]`

The name of the package that provides auto-completions for bash

Default value: `$bash::params::bashcompletionpackage`

##### <a name="bashpath"></a>`bashpath`

Data type: `Optional[Stdlib::Absolutepath]`

The path to the bash binary once installed

Default value: `$bash::params::bashpath`

##### <a name="root_home"></a>`root_home`

Data type: `Stdlib::Absolutepath`

The path to root's home directory

Default value: `$bash::params::root_home`

##### <a name="ensure"></a>`ensure`

Data type: `Any`

This value is passed directly to the package resouce for $bashpackage.
See here for valid values:
https://puppet.com/docs/puppet/latest/types/package.html#package-attribute-ensure

Default value: `latest`

### <a name="bashparams"></a>`bash::params`

Default parameter values

